Package com.sun.jna.platform.win32

# Class WinNT.PROCESSOR_POWER_INFORMATION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.PROCESSOR_POWER_INFORMATION

Enclosing interface:
  WinNT

@FieldOrder({"Number","MaxMhz","CurrentMhz","MhzLimit","MaxIdleState","CurrentIdleState"}) public static class WinNT.PROCESSOR_POWER_INFORMATION extends Structure
Contains information about a processor.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `CurrentIdleState`
  `int`
  `CurrentMhz`
  `int`
  `MaxIdleState`
  `int`
  `MaxMhz`
  `int`
  `MhzLimit`
  `int`
  `Number`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PROCESSOR_POWER_INFORMATION()`
  `PROCESSOR_POWER_INFORMATION(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Number

    public int Number

  - ### MaxMhz

    public int MaxMhz

  - ### CurrentMhz

    public int CurrentMhz

  - ### MhzLimit

    public int MhzLimit

  - ### MaxIdleState

    public int MaxIdleState

  - ### CurrentIdleState

    public int CurrentIdleState

- ## Constructor Details

  - ### PROCESSOR_POWER_INFORMATION

    public PROCESSOR_POWER_INFORMATION(Pointer p)

  - ### PROCESSOR_POWER_INFORMATION

    public PROCESSOR_POWER_INFORMATION()